Bug 4457 - ISO образы имеют тип "текст"
: ISO образы имеют тип "текст"
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Low minor
: 2014 Fresh R4
Assigned To: Andrey Bondrov
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-09-29 10:28 MSD by Vladimir Potapov
Modified: 2014-10-08 08:46 MSD (History)
4 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments
Fixed mimetype for ISOs (116.12 KB, image/png)
2014-10-01 19:04 MSD, Andrey Bondrov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Potapov 2014-09-29 10:28:22 MSD
ISO образы имеют тип "текст" и соответствующую иконку.
Comment 1 FirstLevel 2014-09-29 10:41:46 MSD
на 6420 для локального диска у меня все образы РОСа имеют отображаются, как текстовые файлы. Исошки винды - как исошки.
Comment 2 Vladimir Potapov 2014-09-29 10:59:41 MSD
(In reply to comment #1)
> на 6420 для локального диска у меня все образы РОСа имеют отображаются, как
> текстовые файлы. Исошки винды - как исошки.
а если тип посмотреть, какой он у виндовых?
Comment 3 FirstLevel 2014-09-29 13:10:53 MSD
(In reply to comment #2)
> (In reply to comment #1)
> > на 6420 для локального диска у меня все образы РОСа имеют отображаются, как
> > текстовые файлы. Исошки винды - как исошки.
> а если тип посмотреть, какой он у виндовых?

Образ компакт-диска
Comment 4 Andrey Bondrov 2014-10-01 13:05:46 MSD
$ file ROSA.FRESH.KDE.R4.6166.b.i586.iso 
ROSA.FRESH.KDE.R4.6166.b.i586.iso: DOS/MBR boot sector

$ file Windows\ XP\ Professional\ wSP2\ Russian.iso 
Windows XP Professional wSP2 Russian.iso: # ISO 9660 CD-ROM filesystem data 'VRMPVOL_RU' (bootable)
Comment 5 Andrey Bondrov 2014-10-01 13:20:11 MSD
$ file --mime-type ROSA.FRESH.KDE.R4.6166.b.i586.iso 
ROSA.FRESH.KDE.R4.6166.b.i586.iso: application/octet-stream

$ file --mime-type Windows\ XP\ Professional\ wSP2\ Russian.iso 
Windows XP Professional wSP2 Russian.iso: application/x-iso9660-image

Вообще, проблема повсеместная, что-то сломалось в новом file/libmagic. Пока что нашлись хаки для её решения, но может получится ещё найти настоящую причину, т.к. с хаками связываться не хочется.
Comment 6 Andrey Bondrov 2014-10-01 13:38:21 MSD
Локально вроде починил. Как соберётся на ABF - дам знать.
Comment 7 Konstantin Vlasov 2014-10-01 13:41:14 MSD
У нас же гибридные образы, для записи на флэшку, поэтому у них другая структура. Хотя не текстовая, конечно.
Comment 8 Andrey Bondrov 2014-10-01 13:44:42 MSD
(In reply to comment #7)
> У нас же гибридные образы, для записи на флэшку, поэтому у них другая
> структура. Хотя не текстовая, конечно.

Да вот что-то странно, сам file теперь правильно определяет тип:

$ file --mime-type ROSA.FRESH.KDE.R4.6166.b.i586.iso 
ROSA.FRESH.KDE.R4.6166.b.i586.iso: application/x-iso9660-image

Но Dolphin почему-то всё равно показывает образы как текст (считает, что тип text/plain).
Comment 9 Andrey Bondrov 2014-10-01 14:02:34 MSD
Баг в апстриме KDE: https://bugs.kde.org/show_bug.cgi?id=183026

В KDE не учитываются alias'ы для типов, а application/x-iso9660-image - это alias для application/x-cd-image.
Comment 10 Andrey Bondrov 2014-10-01 14:16:04 MSD
А посмотрите, что в 2012.1 было для наших образов при "file --mime-type"?
Comment 11 Konstantin Vlasov 2014-10-01 16:03:33 MSD
application/x-iso9660-image
Comment 12 Andrey Bondrov 2014-10-01 16:09:16 MSD
(In reply to comment #11)
> application/x-iso9660-image

А в /usr/share/mime/application/ такой тип есть в 2012.1?
Comment 13 Konstantin Vlasov 2014-10-01 16:32:53 MSD
Нет.
Comment 14 Andrey Bondrov 2014-10-01 18:19:36 MSD
Должно быть исправлено в shared-mime-info 1.3-6, проверяйте.
Comment 15 Andrey Bondrov 2014-10-01 19:04:10 MSD
Created attachment 3283 [details]
Fixed mimetype for ISOs
Comment 16 FirstLevel 2014-10-08 08:46:07 MSD
В 6619 у меня все образы имеют тип "Образ компакт-диска"